
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>shell编程之【nagios自定义监控系统磁盘脚本】 / 憋错料</title>

    <meta name="description" content="shell编程之【nagios自定义监控系统磁盘脚本】 之前写了一篇文章主要介绍nagios的搭建使用 http://msiyuetian.blog.51cto.com/8637744/1704346 下面这篇文章主要介绍nagios自定义监控系统磁盘的脚本实现. Nagios可以识别4种状态返回信息,即 0 表示状态正常(OK).1 表示出现警告(WARNING).2 表示出现非常严重的错误(CRITICAL),3 表示未知错误(UNKNOWN).Nagios根据插件返回来的值,来判断监控对象的状态,并通过web显示出来.我们就可以利用上面这个特性">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">shell编程之【nagios自定义监控系统磁盘脚本】</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>之前写了一篇文章主要介绍nagios的搭建使用&nbsp;<a href="http://msiyuetian.blog.51cto.com/8637744/1704346" rel="external nofollow noreferrer">http://msiyuetian.blog.51cto.com/8637744/1704346</a></p>
<p>下面这篇文章主要介绍nagios自定义监控系统磁盘的脚本实现。</p>
<p>Nagios可以识别4种状态返回信息，即 0 表示状态正常(OK)、1 表示出现警告(WARNING)、2 表示出现非常严重的错误(CRITICAL)，3 表示未知错误(UNKNOWN)。Nagios根据插件返回来的值，来判断监控对象的状态，并通过web显示出来。我们就可以利用上面这个特性来实现监控磁盘的状态：</p>
<p>a、当磁盘使用率大于97%则表示出现非常严重的错误(CRITICAL)，返回值为2；</p>
<p>b、当磁盘使用率大于95%则表示出现警告(WARNING)，返回值为1；</p>
<p>c、当磁盘使用率小于95%则表示状态正常(OK)，返回值为0；</p>
<p>说明：</p>
<p>server ip ：192.168.0.114</p>
<p>client ip ：192.168.0.115</p>
<p><strong>1、客户端配置</strong></p>
<hr />
<br /><strong>1）编写脚本</strong></p>
<p>[[email&#160;protected] ~]# vim /usr/lib/nagios/plugins/check_disk.sh</p>
<table>
<tbody>
<tr>
<td>#!/bin/bash</p>
<p>row=`df -h |wc -l`<br />for i in `seq 2 $row`<br />do<br />&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp;ava=`df -h |sed -n "$i"p|awk ‘{print $4}‘`<br />&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp;u_per=`df -h |sed -n "$i"p|sed -n "s/\%//"p|awk ‘{print $5}‘`<br />&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp;p_p=`df -h -P|sed -n "$i"p|awk ‘{print $6}‘`<br />&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp;if [ "$u_per" -gt "97"&nbsp;&nbsp;];then<br />&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp; echo -n "$p_p CRITICAL $u_per% $ava&nbsp;&nbsp;"<br />&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp; sta[$i]=2<br />&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp;elif [ "$u_per" -gt "95" ];then<br />&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp; echo -n "$p_p WARNING! $u_per% $ava&nbsp;&nbsp;"<br />&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp; sta[$i]=1<br />&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp;else<br />&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp; echo -n "$p_p OK $u_per% $ava&nbsp;&nbsp;"<br />&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp; sta[$i]=0<br />&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp;fi<br />done<br />n=0<br />for j in `seq 2 $row`<br />do<br />&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp;if [ "${sta[$j]}" -gt $n&nbsp;&nbsp;];then<br />&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp; n=${sta[$j]}<br />&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp;fi<br />done<br />exit $n</td>
</tr>
</tbody>
</table>
<p>脚本说明：</p>
<table>
<tbody>
<tr>
<td>
<br />我们利用df -h命令可以查看磁盘的使用状态</p>
<p>[[email&#160;protected] ~]# df -h</p>
<p>Filesystem &nbsp; &nbsp; &nbsp;Size &nbsp;Used Avail Use% Mounted on</p>
<p>/dev/sda3 &nbsp; &nbsp; &nbsp; &nbsp;18G &nbsp;2.6G &nbsp; 15G &nbsp;16% /</p>
<p>tmpfs &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 504M &nbsp; &nbsp; 0 &nbsp;504M &nbsp; 0% /dev/shm</p>
<p>/dev/sda1 &nbsp; &nbsp; &nbsp; &nbsp;97M &nbsp; 26M &nbsp; 67M &nbsp;29% /boot</p>
<p>脚本中 for i in `seq 2 $row` ：表示从df -h命令输出的第二行开始进行循环。</p>
<p>参数ava、u_per、p_p分别定义为剩余空间（Avail）、使用率（Use%）、挂载点（Mounted on）</p>
<p>数组sta[$i]，输出的是返回值，当返回0表示OK，返回1表示WARNING!，返回2表示CRITICAL。</p>
<p>最后我们利用输出数组的最大值来判断，只要有一个挂载点的使用率达到97%以上，在nagios网页上都会显示CRITICAL。</p>
</td>
</tr>
</tbody>
</table>
<p><strong>2）修改脚本权限</strong></p>
<p>[[email&#160;protected] ~]# chmod +x /usr/lib/nagios/plugins/check_disk.sh</p>
<p><strong>3）编辑配置文件</strong></p>
<p>[[email&#160;protected] ~]# vim /etc/nagios/nrpe.cfg &nbsp; &nbsp; &nbsp; //增加一行</p>
<table>
<tbody>
<tr>
<td>command[check_disk]=/usr/lib/nagios/plugins/check_disk.sh</td>
</tr>
</tbody>
</table>
<p><strong>4）重启nrpe服务</strong></p>
<p>[[email&#160;protected] ~]# /etc/init.d/nrpe restart</p>
<p><strong>2、服务端配置</strong></p>
<hr />
<br /><strong>1）检查刚才客户端上的脚本是否正常运行</strong></p>
<p>[[email&#160;protected] ~]# /usr/lib/nagios/plugins/check_nrpe -H 192.168.0.115 -c check_disk</p>
<table>
<tbody>
<tr>
<td>/ OK 16% 15G &nbsp;/dev/shm OK 0% 504M &nbsp;/boot OK 29% 67M</td>
</tr>
</tbody>
</table>
<p>注意：</p>
<table>
<tbody>
<tr>
<td>
<br />若报错：CHECK_NRPE: Error - Could not complete SSL handshake.</p>
<p>则说明在客户端没有添加允许server主机的ip，修改客户端nrpe配置文件，添加server的ip</p>
<p>[[email&#160;protected] ~]# vim /etc/nagios/nrpe.cfg</p>
<p>allowed_hosts=127.0.0.1,192.168.0.114</p>
<p>[[email&#160;protected] ~]# /etc/init.d/nrpe restart</p>
</td>
</tr>
</tbody>
</table>
<p><strong>2）添加服务</strong></p>
<p>[[email&#160;protected] ~]# cd /etc/nagios/conf.d/</p>
<p>[[email&#160;protected] conf.d]# vim 192.168.0.115.cfg</p>
<table>
<tbody>
<tr>
<td>
<br />define host{</p>
<p>use &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; linux-server</p>
<p>host_name &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 192.168.0.115</p>
<p>alias &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 0.115</p>
<p>address &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 192.168.0.115</p>
<p>}</p>
<p>define service{</p>
<p>use &nbsp; &nbsp; generic-service</p>
<p>host_name &nbsp; &nbsp; &nbsp; 192.168.0.115</p>
<p>service_description &nbsp; &nbsp; check_disk</p>
<p>check_command &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; check_nrpe!check_disk</p>
<p>max_check_attempts 5</p>
<p>normal_check_interval 1</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<p><strong>3）编辑commands.cfg配置文件</strong></p>
<p>[[email&#160;protected] conf.d]# vim /etc/nagios/objects/commands.cfg &nbsp; &nbsp;&nbsp;//末尾添加如下内容</p>
<table>
<tbody>
<tr>
<td>
<br />define command{</p>
<p>command_name &nbsp; &nbsp;check_nrpe</p>
<p>command_line &nbsp; &nbsp;$USER1$/check_nrpe -H $HOSTADDRESS$ -c $ARG1$</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<p><strong>4）重启nagios服务</strong></p>
<p>[[email&#160;protected] conf.d]# service nagios restart</p>
<p><strong>3、查看效果</strong></p>
<hr />
<br />浏览器输入：192.168.0.114/nagios，验证账号密码进入后可看到下图效果：</p>
<p><strong>Hosts增加了一台</strong></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNzYvM0Yvd0tpb20xWk56R09nUGZ5aUFBT09zRkJjV3NnMDMyLmpwZw==.jpg" /></p>
<p><strong>Services显示监控磁盘状态</strong></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNzYvM0Uvd0tpb0wxWk56TDJDbUh2OEFBWC1LNlA1T25FMjYyLmpwZw==.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 12:05:07 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/shell/" title="shell">shell</a>, <a href="https://www.biecuoliao.com/tag/nagios/" title="nagios">nagios</a>, <a href="https://www.biecuoliao.com/tag/%e7%9b%91%e6%8e%a7%e7%a3%81%e7%9b%98/" title="监控磁盘">监控磁盘</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>shell编程之【nagios自定义监控系统磁盘脚本】的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aOV2v4.html" rel="bookmark">nagios自定义监控系统磁盘脚本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				客户端 1.创建脚本check_disk.sh [[email protected] ~]# vim /usr/lib64/nagios/plugins/check_disk.sh        #一般都放在这个路径下 #!/bin/bash row=`df -h|wc -l` for i in `seq 2 $row` do ava=`df -h|sed -n &quot;$i&quot;p|awk '{print $4}'`         #获取磁盘可用值 u_per=`df -h|sed -n &			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RGdOv3.html" rel="bookmark">3&period;2-nagios自定义监控系统磁盘脚本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一. 自定义nagios监控脚本 1. 在客户端上创建脚本/usr/local/nagios/libexec/check_disk.sh vim  /usr/local/nagios/libexec/check_disk.sh 写入如下内容:(client上) #!/bin/bash row=`df -h |wc -l`             #输出的总行数 for i in `seq 2 $row`          #从第二行开始为真实的磁盘,因为第一行为抬头信息 do ava=`df -			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgqxpO3.html" rel="bookmark">nagios监控脚本（自定义监控系统磁盘）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 在客户端上创建脚本/usr/local/nagios/libexec/check_disk.shvim  /usr/local/nagios/libexec/check_disk.sh 写入如下内容:(client上)#!/bin/bash#!/bin/bashrow=`df -h |wc -l`for i in `seq 2 $row`do        ava=`df -h |sed -n &quot;$i&quot;p|awk '{print $4}'`        u_per=`df -h			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzRRoOM.html" rel="bookmark">无标题文章shell编程之Expect免交互</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				shell编程之Expect免交互 前言 一:Expect概述 Expect是建立在tcl基础上的一个工具,Expect是用来进行自动化控制和测试的工具.主要解决shell脚本中不可交互的问题,对于大规模的linux运维很有帮助 在Linux运维和开发中,我们经常需要远程登录服务器进行操作,在登录的过程是一个交互的过程,可能会需要输入yes/no password等信息. 为了模拟这种输入,可以使用Expect脚本 二:Expect基本命令 2.1:Expect安装 系统一般不自带,需要自己安装			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mmn8Vp0.html" rel="bookmark">shell编程之array</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				变量 : 内存空间 类型 shell编程中所有变量类型为字符类型array 数组 数组中变量叫做element (元素) ,数组中每个元素都用索引位置来标注声明数组declare -a ARRAY_NAME赋值方法1 :AA[0]=jerry赋值方法2 :br/&gt;AA={jerry,tom,lucy}数组实例![](https://s1.51cto.com/images/blog/201907/09/d85fa8a4c0a1da0c0a4e8975ba9d285f.png?x-oss-proce			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/356q8n4.html" rel="bookmark">Shell编程之Expect免交互</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Shell编程之Expect免交互 Expect概述 Expect安装 Expect基本命令 Expect执行方式 Expect案例 Expect概述 Expect Expect是建立在tcl基础上的一个工具,Expect 是用来进行自动化控制和测试的工具.主要解决shell脚本中不可交互的问题.对于大规模的linux运维很有帮助 在linux运维和开发中,我们经常需要远程登录服务器进行操作,登录的过程是一个交互的过程,可能会需要输入yes/no password等信息.为了模拟这种输入,可以使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEe2vxM.html" rel="bookmark">shell编程之case分支语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				shell编程之case分支语句 case分支语句和if的多分支语句很相似. if多分支语句一般用在有(区间范围)的地方 :例如:0-100之间. if需要判断多个不同的条件. case的分支语句用在 如果里面匹配到固定值:或某个变量存在多中取值,需要对其中的每一个取值分别执行不同的命令序列. case只是判断一个变量的不同取值. case的模式: 执行流程: 首先使用&quot;变量值&quot;与模式1进行比较,如果取值相同就执行模式1的命令序列1,直到遇见&quot; ;; &quot;后跳转到es			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dymdr3.html" rel="bookmark">shell编程之if语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 shell编程之if判断 1.整数比较 2.字符串比较 3.举例 1.数字比较 2.字符串比较 4.Other shell编程之if判断 1.整数比较 -eq 等于,如:if [ &quot;$a&quot; -eq &quot;$b&quot; ] -ne 不等于,如:if [ &quot;$a&quot; -ne &quot;$b&quot; ] -gt 大于,如:if [ &quot;$a&quot; -gt &quot;$b&quot; ] -ge 大于等于,如:if [ &quot;$a&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmoQ5P3.html" rel="bookmark">shell编程之【zabbix自定义监控网卡流量脚本】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前写了一篇文章主要介绍zabbix的搭建使用http://msiyuetian.blog.51cto.com/8637744/1705396 下面这篇文章主要介绍zabbix自定义监控网卡流量的脚本实现 前期准备 1.说明 server ip :192.168.0.115 client ip :192.168.0.114 2.开启服务 因为之前搭建过zabbix环境,这里就不重复了,直接开启服务端的所需服务: [[email protected] ~]# /etc/init.d/httpd s			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzQ1g84.html" rel="bookmark" class="title">矩阵连乘</a>
					<div>
						动态规划——矩阵连乘的问题 &lt;问题的引出&gt; 看下面一个例子,计算三个矩阵连乘{A1,A2,A3}:维数分别为10*100 , 100*5 , 5*50 按此顺序计算需要的次数((A1*A2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZDlPdM.html" rel="bookmark" class="title">Erd&bsol;H&lbrace;o&rcub;s-R&bsol;&amp;&num;39&semi;enyi Law</a>
					<div>
						Let $0&lt;p=1-q&lt;1$ and $X_1,X_2,\ldots$ be an i.i.d. Bernoulli sequence with $p=\mathbb{P}(X_i=1) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzQJ2l4.html" rel="bookmark" class="title">2015&period;8&period;2 jdbc实现商品类的增删查改</a>
					<div>
						在惠普济宁基地进行了两周sql和java的学习,学到很多东西 刚才实现了用jdbc访问数据库对数据库进行操作,是用eclipse写的,过几天移植到NetBeans上,个人还是比较习惯看图形化界面 前几 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bgQmY3.html" rel="bookmark" class="title">IOC个人 理解</a>
					<div>
						? ? 今天组内交流Spring.net,被队友吐槽表达不清晰.恩,确实表达能力不行,还是写下来吧. 首先,假设我们要在 UI项目中写一个窗体,用来显示和修改系统用户,可能会有下面的代码. publi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nYevKM.html" rel="bookmark" class="title">git subproject commit xxxxxxxxxxxxxxxxxxxxx -dirty</a>
					<div>
						-Subproject commit 8c75e65b647238febd0257658b150f717a136359 +Subproject commit 8c75e65b647238febd025 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aY6zJ0.html" rel="bookmark" class="title">信息安全系统设计基础实验三&mdash;20135227黄晓妍 20135214万子惠</a>
					<div>
						北京电子科技学院(BESTI) 实     验    报     告 课程:信息安全设计系统基础           班级:   1352 姓名:黄晓妍 万子惠 学号:20135227 2013521 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vzajL3.html" rel="bookmark" class="title">c语言之输入输出</a>
					<div>
						scanf(&quot;输入控制符&quot;,输入参数) 功能:将从键盘输入的字符转化为输入控制符所规定格式的数据,然后存入已输入参数的值为地址的变量中. scanf(&quot;非输入控制符 输入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xZzez4.html" rel="bookmark" class="title">hadoop&lpar;四&rpar;&colon;配置参数</a>
					<div>
						hadoop参数配置,主要是配置 core-site.xml,hdfs-site.xml,mapred-site.xml 三个配置文件,core-site.xml是全局配置,hdfs-site.xml ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nPZEV4.html" rel="bookmark" class="title">正则表达式必知必会&lpar;修订版&rpar;整理教程</a>
					<div>
						正则表达式必知必会(修订版)整理教程 1.   正则表达式入门 1.1  用途:是一种工具,主要用途是搜索变化多端的文本.匹配       到我们想要的信息. 1.2  使用正则表达式:在线测试工具: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RneVj0.html" rel="bookmark" class="title">MySQL自学篇（一）</a>
					<div>
						一.启动MySQL服务并登录MySQL数据库 一.启动MySQL服务 1.单机[开始]菜单,在弹出的菜单中选择[运行]命令,打开[运行]对话框 2.在文本框中输入&quot;services.msc& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dRwx64.html" rel="bookmark" class="title">PLSQL集合笔记</a>
					<div>
						针对多行单列的数据处理,用之前的标量变量肯定不行,这里引入一个新的数据类型复合数据类型. 这个复合类型类似于语言的数组struct[i],包括索引表,嵌套表,边长数组三种类型, 一.索引表称为PLSQ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME6daP0.html" rel="bookmark" class="title">mysql中表的练习</a>
					<div>
						1.创建一个表: 主键id 用户名 性别 体重(kg) 生日 工资 上次登陆时间 个人简介                 --术语:建表的过程就是声明字段过程.声明数据类型. CREATE TABL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kNwqzM.html" rel="bookmark" class="title">php不支持redis</a>
					<div>
						说明:今天在一php项目上传访问时,竟遇到了两处服务的错误. 1.错误信息:could not find driver 虽说信息很少,但是还能够明白,次信息表示php模块缺少了pdo_mysql模块, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38oGmn0.html" rel="bookmark" class="title">正确处理时间</a>
					<div>
						日期和时间在程序中应用广泛,很多开发者把本地时间存入数据库中.但是,一旦涉及到跨时区的日期和时间的处理时,大多数开发者根本就不明白如何正确地处理日期和时间. Date date = new Date( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jryBZ0.html" rel="bookmark" class="title">插入法排序</a>
					<div>
						转自http://blog.csdn.net/cjf_iceking/article/details/7916194 在冒泡排序.选择排序编写代码之后,楼主渐渐找到了coding的信心,熟能生巧,就像 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NQz9V3.html" rel="bookmark" class="title">【统计学中的普适智慧】假设检验</a>
					<div>
						『一次抽取样本,如果原假设条件下的小概率事件发生,则否定原假设』 一个简单的例子: 厂商提出产品合格率为99%,在一次抽样中,如果被抽产品不合格,那我们当然不能接受他的说法,因为1%概率的事件发生了. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLQRGe0.html" rel="bookmark" class="title">CodeForces 632C The Smallest String Concatenation&sol;&sol;用string和sort就好了&amp;amp&semi;&amp;amp&semi;string的基础用法</a>
					<div>
						Description You're given a list of n strings a1, a2, ..., an. You'd like to concatenate them togethe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NQl2o3.html" rel="bookmark" class="title">win7下cmake编译opencv2&period;3&period;1生成opencv&mdash;createsamples&period;exe和opencv&lowbar;haartrainingd&period;exe</a>
					<div>
						第一步:下载安装cmake,之后进行默认安装就行,这步略过. 第二步:配置cmake ,使cmake找到opencv进行编译安装 第三步:之后找到安装后的文件夹,cmake通过cmakelist生成了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k2qZdM.html" rel="bookmark" class="title">定制二选一按钮SwitchButton---【开发】</a>
					<div>
						效果图: 源代码: SwitchButton.h 与 SwitchButton.m // // SwitchButton.h // SwitchButtonDemo1.0 // // Created  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eYO8a0.html" rel="bookmark" class="title">LintCode-数字三角形</a>
					<div>
						题目描述: 给定一个数字三角形,找到从顶部到底部的最小路径和.每一步可以移动到下面一行的相邻数字上. 注意事项 如果你只用额外空间复杂度O(n)的条件下完成可以获得加分,其中n是数字三角形的总行数.  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
